Loading...
Searching...
No Matches
OFPair< K, V > Class Template Reference

a pair - this implements parts of std::pair's interface. More...

## Public Member Functions

| OFPair ()
| default constructor
| OFPair (const K &f, const V &s)
| construct a OFPair for the two given values
template<class OK, class OV>
| OFPair (const OFPair< OK, OV > &p)
| copy constructor
| OFPair (const OFPair &p)
| copy constructor
OFPair< K, V > & | operator= (const OFPair< K, V > &other)
| assignment operator

## Public Attributes

K | first
| this is the first value of the pair
V | second
| this is the second value of the pair

## Related Definitions

Global types, methods and objects that are somehow related
template<typename K, typename V>
OFPair< K, V > | OFMake_pair (const K &first, const V &second)
| helper function to create a pair.

## Detailed Description

template<typename K, typename V>
class OFPair< K, V >

a pair - this implements parts of std::pair's interface.

## Constructor & Destructor Documentation

## OFPair() [1/3]

template<typename K, typename V>

OFPair< K, V >::OFPair | ( | const K & | f,
|  | const V & | s )

inline

construct a OFPair for the two given values

Parameters

  f | the value for first.
  s | the value for second.

## OFPair() [2/3]

template<typename K, typename V>
template<class OK, class OV>

OFPair< K, V >::OFPair | ( | const OFPair< OK, OV > & | p | ) |

inline

copy constructor

Parameters

  p | Other OFPair to copy from.

## OFPair() [3/3]

template<typename K, typename V>

OFPair< K, V >::OFPair | ( | const OFPair< K, V > & | p | ) |

inline

copy constructor

Parameters

  p | Other OFPair to copy from.

## Related Definitions

## OFMake_pair()

template<typename K, typename V>

OFPair< K, V > OFMake_pair | ( | const K & | first,
|  | const V & | second )

related

helper function to create a pair.

This is similar to std::make_pair()

Parameters

  first | the first part of the pair
  second | the second art of the pair

Returns
  the pair (first, second)

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofutil.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0